Bug#995016: dnsdiag: Error when running: DeprecationWarning

0 views
Skip to first unread message

Sérgio Abrantes

unread,
Sep 24, 2021, 3:40:03 PMSep 24
to
Package: dnsdiag
Version: 1.7.0-1
Severity: grave
Justification: renders package unusable

When running dnseval, it gives the following error:

abrantes@FLS12STI-D006:~$ dnseval -f /tmp/dns -c 1000 web.whatsapp.com
server avg(ms) min(ms) max(ms) stddev(ms) lost(%) ttl flags
-----------------------------------------------------------------------------------------------------------
/bin/dnseval:176: DeprecationWarning: please use dns.resolver.Resolver.resolve() instead
answers = resolver.query(fqdn, dnsrecord, tcp=use_tcp,
221.182.100.10 1.124 0.613 7.534 0.410 %0 3242 QR -- -- RD RA -- --
abrantes@FLS12STI-D006:~$ cat /tmp/dns
8.8.8.8
abrantes@FLS12STI-D006:~$

Any other DNS also occurs. I noticed that on Debian 10, it works normally. On Debian 11 and 12 the same error occurs.

Regards


-- System Information:
Debian Release: 11.0
APT prefers stable-updates
APT policy: (500, 'stable-updates'), (500, 'stable-security'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 5.10.0-8-amd64 (SMP w/2 CPU threads)
Locale: LANG=pt_BR.UTF-8, LC_CTYPE=pt_BR.UTF-8 (charmap=UTF-8), LANGUAGE=pt_BR:pt:en
Shell: /bin/sh linked to /usr/bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

Versions of packages dnsdiag depends on:
ii python3 3.9.2-3
ii python3-cymruwhois 1.6-3.2
ii python3-dnspython 2.0.0-1

dnsdiag recommends no packages.

dnsdiag suggests no packages.

-- no debconf information
Reply all
Reply to author
Forward
0 new messages